- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_vlag – CLI command to create/delete/modify vlag

- DEPRECATED

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Doesn’t support latest Pluribus Networks netvisor

Alternative

  Latest modules will be pushed in Ansible future versions.

## Synopsis

- Execute vlag-create/vlag-delete/vlag-modify command.

- A virtual link aggregation group (VLAG) allows links that are physically connected to two different Pluribus Networks devices to appear as a single trunk to a third device. The third device can be a switch, server, or any Ethernet device. A VLAG can provide Layer 2 multipathing, which allows you to create redundancy by increasing bandwidth, enabling multiple parallel paths between nodes and loadbalancing traffic where alternative paths exist.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_clipassword - |  | Provide login password if user is not root.
pn_cliswitch - | Default: "local" | Target switch(es) to run this command on.
pn_cliusername - |  | Provide login username if user is not root.
pn_failover_action - | Choices: move ignore | Specify the failover action as move or ignore.
pn_lacp_fallback - | Choices: bundle individual | Specify the LACP fallback mode as bundles or individual.
pn_lacp_fallback_timeout - |  | Specify the LACP fallback timeout in seconds. The range is between 30 and 60 seconds with a default value of 50 seconds.
pn_lacp_mode - | Choices: off passive active | Specify the LACP mode.
pn_lacp_timeout - | Choices: slow fast | Specify the LACP timeout as slow(30 seconds) or fast(4 seconds).
pn_mode - | Choices: active-active active-standby | Specify the mode for the VLAG. Active-standby indicates one side is active and the other side is in standby mode. Active-active indicates that both sides of the vlag are up by default.
pn_name - / required |  | The `pn_name` takes a valid name for vlag configuration.
pn_peer_port - |  | Specify the peer VLAG port. Required for vlag-create.
pn_peer_switch - |  | Specify the fabric-name of the peer switch.
pn_port - |  | Specify the local VLAG port. Required for vlag-create.
state - / required | Choices: present absent update | State the action to perform. Use 'present' to create vlag, 'absent' to delete vlag and 'update' to modify vlag.

## Examples

    - name: create a VLAG
      pn_vlag:
        state: 'present'
        pn_name: spine-to-leaf
        pn_port: 'spine01-to-leaf'
        pn_peer_port: 'spine02-to-leaf'
        pn_peer_switch: spine02
        pn_mode: 'active-active'

    - name: delete VLAGs
      pn_vlag:
        state: 'absent'
        pn_name: spine-to-leaf

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | Indicates whether the CLI caused changes on the target.
command string | always | The CLI command run on the target node(s).
stderr list | on error | The set of error responses from the vlag command.
stdout list | always | The set of responses from the vlag command.

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Pluribus Networks (@amitsi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.